openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/S_OSP_WF_MAINTAIN_SUBSTITUTION:
    post:
      tags:
      - S_OSP_WF_PATTERN_RUNTIME
      summary: FM to maintain substitution
      operationId: /rfc/S_OSP_WF_MAINTAIN_SUBSTITUTION
      requestBody:
        content:
          application/json:
            schema:
              properties:
                IS_SUBSTITUTES_DEL_PARAM:
                  type: object
                  properties:
                    BEGIN_DATE:
                      type: string
                      format: date
                      description: Current Date of Application Server
                    END_DATE:
                      type: string
                      format: date
                      description: Current Date of Application Server
                    DEL_WO_DATE_FLAG:
                      type: string
                      maxLength: 1
                      description: Flag
                IT_SUBSTITUTE_OBJ_LIST:
                  type: array
                  items:
                    type: object
                    properties:
                      SUBSTITUTE_NAME:
                        type: string
                        maxLength: 12
                        description: User Name in User Master Record
                      BEGIN_DATE:
                        type: string
                        format: date
                        description: Current Date of Application Server
                      END_DATE:
                        type: string
                        format: date
                        description: Current Date of Application Server
                      PROFILE:
                        type: string
                        maxLength: 12
                        description: Substitution profile
                      DEACTIVE_FLAG:
                        type: string
                        maxLength: 1
                        description: Flag
                IV_LANGUAGE:
                  type: string
                  maxLength: 1
                  description: Language Key
                IV_SUBSTITUTED_OBJECT:
                  type: string
                  maxLength: 12
                  description: Substituted object ID
                IV_SUBSTITUTION_OPCODE:
                  type: integer
                  format: int64
                  description: Substitution operation code
              required:
              - IV_SUBSTITUTION_OPCODE
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  ET_RETURN:
                    type: array
                    items:
                      type: object
                      properties:
                        TYPE:
                          type: string
                          maxLength: 1
                          description: 'Message type: S Success, E Error, W Warning, I Info, A Abort'
                        ID:
                          type: string
                          maxLength: 20
                          description: Message Class
                        NUMBER:
                          type: integer
                          format: int64
                          description: Message Number
                        MESSAGE:
                          type: string
                          maxLength: 220
                          description: Message Text
                        LOG_NO:
                          type: string
                          maxLength: 20
                          description: 'Application log: log number'
                        LOG_MSG_NO:
                          type: integer
                          format: int64
                          description: 'Application log: Internal message serial number'
                        MESSAGE_V1:
                          type: string
                          maxLength: 50
                          description: Message Variable
                        MESSAGE_V2:
                          type: string
                          maxLength: 50
                          description: Message Variable
                        MESSAGE_V3:
                          type: string
                          maxLength: 50
                          description: Message Variable
                        MESSAGE_V4:
                          type: string
                          maxLength: 50
                          description: Message Variable
                        PARAMETER:
                          type: string
                          maxLength: 32
                          description: Parameter Name
                        ROW:
                          type: integer
                          format: int32
                          description: Lines in parameter
                        FIELD:
                          type: string
                          maxLength: 30
                          description: Field in parameter
                        SYSTEM:
                          type: string
                          maxLength: 10
                          description: Logical system from which message originates
                  ET_SUBSTITUTES_LIST:
                    type: array
                    items:
                      type: object
                      properties:
                        OTYPE:
                          type: string
                          maxLength: 12
                          description: ''
                        OBJID:
                          type: string
                          maxLength: 12
                          description: User Name in User Master Record
                        DATE_BEGIN:
                          type: string
                          format: date
                          description: Current Date of Application Server
                        DATE_END:
                          type: string
                          format: date
                          description: Current Date of Application Server
                        PROFILE:
                          type: string
                          maxLength: 12
                          description: Substitution profile
                        ACTIVE:
                          type: string
                          maxLength: 1
                          description: Flag
                  ET_SUBSTITUTION_PROFILES:
                    type: array
                    items:
                      type: object
                      properties:
                        PROFILE:
                          type: string
                          maxLength: 12
                          description: Substitution profile
                        TEXT:
                          type: string
                          maxLength: 25
                          description: ''
                  EV_ERROR_FLAG:
                    type: string
                    maxLength: 1
                    description: Flag
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
